/**
 * @file Problema2.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 2
 * @version 1.0
 * @date 04/02/2022
 * 
 */


/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <math.h>
using namespace std;
/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
float init_salary;
float final_salary;
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void calculus();
void collect_Data();
void Show_results();
void Run();
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
int main(){
Run();
}
/*******************************************************************************************************************************************
 *  												FUNCTION DEFINITION
 *******************************************************************************************************************************************/
void collect_Data(){
	cout<<"gross salary: ";
	cin>>init_salary;
}
void Show_results(){
	cout<<"The final Salary is : "<<final_salary;
	
}
void Run(){
	collect_Data();
	calculus();
	Show_results();
}
void calculus(){
	if(init_salary<=1000){
        final_salary=0.9*init_salary;
    }
    else if(init_salary>1000 && init_salary<=2000){
        final_salary=0.85*init_salary;
    }
    else if(init_salary>2000){
        final_salary=0.82*init_salary;
    }
}